/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.sapics.client.gui;

import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ArticleSaisieView extends javax.swing.JDialog {
    
    /**
	 * 
	 */
	private static final long serialVersionUID = -4458916728144792149L;






	/** Creates new form TemplateJDialog */
    public ArticleSaisieView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel2 = new javax.swing.JLabel();
        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        tfIntitule = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        tfReference = new javax.swing.JTextField();
        tfDelaiLivraison = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        tfDureeGarantie = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        tfConditionnement = new javax.swing.JTextField();
        tva = new javax.swing.JComboBox();
        codesNomenclature = new javax.swing.JComboBox();
        jLabel1 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        tfPrixUnitaire = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        tfQuantiteMax = new javax.swing.JTextField();
        typesArticle = new javax.swing.JComboBox();
        jLabel4 = new javax.swing.JLabel();

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Classe SNCF : ");

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Saisie / Modification d'un article");

        btnAnnuler.setText("Annuler");

        btnValider.setText("Valider");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Intitulé :");

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Référence :");

        tfReference.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfDelaiLivraison.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Délais Livraison (Semaines) :");

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Durée de garantie (Mois) :");

        tfDureeGarantie.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Conditionnement :");

        tfConditionnement.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tva.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        codesNomenclature.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("T.V.A. :");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Code Nomenclature :");

        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("Prix Unitaire :");

        tfPrixUnitaire.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel14.setText("Qté Max :");

        tfQuantiteMax.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        typesArticle.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Type Article :");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(0, 0, Short.MAX_VALUE)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(23, 23, 23))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabel9)
                            .add(jLabel11)
                            .add(jLabel8)
                            .add(jLabel1)
                            .add(jLabel3)
                            .add(layout.createSequentialGroup()
                                .add(jLabel4)
                                .add(2, 2, 2))
                            .add(jLabel13))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(tfPrixUnitaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 92, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel14)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfQuantiteMax, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(tfIntitule)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, codesNomenclature, 0, 120, Short.MAX_VALUE)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, tva, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, tfDelaiLivraison)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, typesArticle, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 146, Short.MAX_VALUE))
                                    .add(layout.createSequentialGroup()
                                        .add(tfReference)
                                        .add(32, 32, 32)))
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .add(jLabel10)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfConditionnement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .add(jLabel12)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfDureeGarantie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(tfIntitule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(tfReference, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel10)
                    .add(tfConditionnement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(tfDelaiLivraison, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel12)
                    .add(tfDureeGarantie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(tva, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(codesNomenclature, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel4)
                    .add(typesArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfPrixUnitaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel13)
                    .add(jLabel14)
                    .add(tfQuantiteMax, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-680)/2, (screenSize.height-340)/2, 680, 340);
    }// </editor-fold>//GEN-END:initComponents

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	MarchesSaisieView dialog = new MarchesSaisieView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.JComboBox codesNomenclature;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JTextField tfConditionnement;
    private javax.swing.JTextField tfDelaiLivraison;
    private javax.swing.JTextField tfDureeGarantie;
    private javax.swing.JTextField tfIntitule;
    private javax.swing.JTextField tfPrixUnitaire;
    private javax.swing.JTextField tfQuantiteMax;
    private javax.swing.JTextField tfReference;
    private javax.swing.JComboBox tva;
    private javax.swing.JComboBox typesArticle;
    // End of variables declaration//GEN-END:variables
    
    
    private void initGui() {
            	
    	btnValider.setIcon(CocktailConstantes.ICON_VALID);
        btnAnnuler.setIcon(CocktailConstantes.ICON_CANCEL);
		
    }

	public void setTypesArticle (NSArray liste) {

		typesArticle.removeAllItems();
		for (int i=0;i<liste.count();i++)
			typesArticle.addItem(liste.objectAtIndex(i));
	}

	public void setCodesNomenclatures (NSArray liste) {

		codesNomenclature.removeAllItems();
		codesNomenclature.addItem("");
		for (int i=0;i<liste.count();i++)
			codesNomenclature.addItem(liste.objectAtIndex(i));
	}

	
	public void setTvas (NSArray liste) {

		tva.removeAllItems();
		for (int i=0;i<liste.count();i++)
			tva.addItem(liste.objectAtIndex(i));
	}

	
	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JComboBox getCodesNomenclature() {
		return codesNomenclature;
	}

	public void setCodesNomenclature(javax.swing.JComboBox codesNomenclature) {
		this.codesNomenclature = codesNomenclature;
	}

	public javax.swing.JTextField getTfConditionnement() {
		return tfConditionnement;
	}

	public void setTfConditionnement(javax.swing.JTextField tfConditionnement) {
		this.tfConditionnement = tfConditionnement;
	}

	public javax.swing.JTextField getTfDelaiLivraison() {
		return tfDelaiLivraison;
	}

	public void setTfDelaiLivraison(javax.swing.JTextField tfDelaiLivraison) {
		this.tfDelaiLivraison = tfDelaiLivraison;
	}

	public javax.swing.JTextField getTfDureeGarantie() {
		return tfDureeGarantie;
	}

	
	
	public javax.swing.JComboBox getTypesArticle() {
		return typesArticle;
	}

	public void setTypesArticle(javax.swing.JComboBox typesArticle) {
		this.typesArticle = typesArticle;
	}

	public void setTfDureeGarantie(javax.swing.JTextField tfDureeGarantie) {
		this.tfDureeGarantie = tfDureeGarantie;
	}

	public javax.swing.JTextField getTfIntitule() {
		return tfIntitule;
	}

	public void setTfIntitule(javax.swing.JTextField tfIntitule) {
		this.tfIntitule = tfIntitule;
	}

	public javax.swing.JTextField getTfPrixUnitaire() {
		return tfPrixUnitaire;
	}

	public void setTfPrixUnitaire(javax.swing.JTextField tfPrixUnitaire) {
		this.tfPrixUnitaire = tfPrixUnitaire;
	}

	public javax.swing.JTextField getTfQuantiteMax() {
		return tfQuantiteMax;
	}

	public void setTfQuantiteMax(javax.swing.JTextField tfQuantiteMax) {
		this.tfQuantiteMax = tfQuantiteMax;
	}

	public javax.swing.JTextField getTfReference() {
		return tfReference;
	}

	public void setTfReference(javax.swing.JTextField tfReference) {
		this.tfReference = tfReference;
	}

	public javax.swing.JComboBox getTva() {
		return tva;
	}

	public void setTva(javax.swing.JComboBox tva) {
		this.tva = tva;
	}


    

}
